<h2> Template: <small>Encuesta</small> </h2>
<hr>

<form #miForm="ngForm">
<!-- pregunta one -->
<div class="row mb-3" *ngFor="let item of preguntas">
    <label class="col-sm-3 col-form-label">Pregunta {{item.id}}</label>
    <div class="col-sm-9">            
        <div class="form-check">
            <input class="form-check-input" type="radio" [name]="texto + item.id" [id]="tag + item.id + '01'" [value]="valOpcion01" [(ngModel)]="item.valor" required>
            <label class="form-check-label" [for]="tag + item.id + '01'">Opción 1</label>
        </div>
        <div class="form-check">
            <input class="form-check-input" type="radio" [name]="texto + item.id" [id]="tag + item.id + '02'" [value]="valOpcion02" [(ngModel)]="item.valor" required>
            <label class="form-check-label" [for]="tag + item.id + '02'">Opción 2</label>
        </div>
        <div class="form-check">
            <input class="form-check-input" type="radio" [name]="texto + item.id" [id]="tag + item.id + '03'" [value]="valOpcion03" [(ngModel)]="item.valor" required>
            <label class="form-check-label" [for]="tag + item.id + '03'">Opción 3</label>
        </div>
    </div>        
</div>

<!-- Button Submit -->
    <div class="row">
        <div class="col">
            <button class="btn btn-primary float-end" [disabled]="miForm.invalid" (click)="guardar()">Guardar</button>
        </div>
    </div>

</form>


<h5>Value del formulario</h5>
<pre>{{ miForm.value | json }}</pre>

<h5>Valid</h5>
<pre>{{ miForm.valid }}</pre>

<h5>Valores de la opciones seleccionadas de las Preguntas</h5>
<pre>{{ preguntas | json }}</pre>